登录  免费注册
当前位置:首页 > 漏洞详细信息

Apache Hadoop缓冲区溢出漏洞

 关注(0)  
CNVD-ID CNVD-2019-41851
公开日期 2019-11-22
危害级别 中 (AV:N/AC:L/Au:N/C:N/I:P/A:N)
影响产品 Apache Apache Hadoop >=3.1.0,<=3.1.1
Apache Apache Hadoop >=3.0.0-alpha1,<=3.0.3
Apache Apache Hadoop >=2.9.0,<=2.9.1
Apache Apache Hadoop >=2.0.0-alpha,<=2.8.4
CVE ID CVE-2018-11768
漏洞描述 Apache Hadoop是美国阿帕奇(Apache)软件基金会的一套开源的分布式系统基础架构。

Apache Hadoop中存在缓冲区溢出漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
漏洞类型 通用型漏洞
参考链接 https://lists.apache.org/thread.html/ea6d2dfbefab8ebe46be18b05136b83ae53b7866f1bc60c680a2b600@%3Chdfs-dev.hadoop.apache.org%3E
漏洞解决方案 目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
https://lists.apache.org/thread.html/ea6d2dfbefab8ebe46be18b05136b83ae53b7866f1bc60c680a2b600@%3Chdfs-dev.hadoop.apache.org%3E
厂商补丁 Apache Hadoop缓冲区溢出漏洞的补丁
验证信息 (暂无验证信息)
报送时间 2019-11-14
收录时间 2019-11-22
更新时间 2019-11-22
漏洞附件 (无附件)
  在发布漏洞公告信息之前,CNVD都力争保证每条公告的准确性和可靠性。然而,采纳和实施公告中的建议则完全由用户自己决定,其可能引起的问题和结果也完全由用户承担。是否采纳我们的建议取决于您个人或您企业的决策,您应考虑其内容是否符合您个人或您企业的安全策略和流程。
(编辑:CNVD) | 已有0条评论
登录 后才能发表评论